%define name tango-generator
%define version 3.2.1
%define unmangled_version 3.2.1
%define release 1
%define _unpackaged_files_terminate_build 0

Summary: Tango Generator
Name: %{name}
Version: %{version}
Release: %mkrel %{release}
Source0: %{name}-%{unmangled_version}.tar.gz
License: GPLv2
Group: Graphical desktop/Other
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
Requires: python >= 2.4
Requires: librsvg2
Requires: ImageMagick
Requires: pygtk2.0 >= 2.6.3-2
BuildRequires:	python-devel
Url: http://mejogid.ohallwebservices.com/

%description
An icon theme creation application

%prep
%setup -q -n %{name}-%{unmangled_version}

%build
python setup.py build

%install
python setup.py install --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

# prepare icons
mkdir -p %{buildroot}%{_miconsdir} %{buildroot}%{_iconsdir} %{buildroot}%{_liconsdir}
convert icons/hicolor/16x16/apps/%{name}.png -geometry 16x16 %{buildroot}%{_miconsdir}/%{name}.png
convert icons/hicolor/32x32/apps/%{name}.png -geometry 32x32 %{buildroot}%{_iconsdir}/%{name}.png
convert icons/hicolor/48x48/apps/%{name}.png -geometry 48x48 %{buildroot}%{_liconsdir}/%{name}.png

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Graphics" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*



%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_mime_database
%update_desktop_database

%postun
%update_mime_database
%update_desktop_database

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc COPYING AUTHORS README
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%changelog
* Sat Feb 09 2008 Slick50 <linuxgator.org> 3.2.1-1pclos2007
- Build for PCLinuxOS 2007
- fix menu (texstar)

